Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.internal.cm.util
Class PropertiesUtil

    java.lang.Object
      org.eclipse.gemini.blueprint.compendium.internal.cm.util.PropertiesUtil

    public class PropertiesUtil

extends Object

Author:
  Costin Leau

Constructor Summary
`PropertiesUtil()`

Method Summary
`static Properties` | `initProperties(Properties localMap, boolean localOverride, Dictionary source, Properties target)` Merges the given dictionary into the target properties object.
`static Properties` | `initProperties(Properties localMap, boolean localOverride, Map<?,?> source, Properties target)` Merges the given map into the target properties object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesUtil

    public PropertiesUtil()

Method Detail

### initProperties

    public static Properties initProperties(Properties localMap,
                                            boolean localOverride,
                                            Map<?,?> source,
                                            Properties target)

  Merges the given map into the target properties object. Additionally it checks if there are any given local properties and whether these can override the source.

  Returns:
    a new (Properties) object mergeing the local properties and the source

### initProperties

    public static Properties initProperties(Properties localMap,
                                            boolean localOverride,
                                            Dictionary source,
                                            Properties target)

  Merges the given dictionary into the target properties object. Additionally it checks if there are any given local properties and whether these can override the source. Identical to `initProperties(Properties, boolean, Map, Properties)` excepts it reads the dictionary directly to avoid any mapping overhead.

  Parameters:
    `localMap` -
    `localOverride` -
    `source` -
    `target` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.